Page MenuHomePhabricator

Deploy related pages to mobile web stable channel - part 1
Closed, ResolvedPublic1 Story Points

Description

Stories

  1. As a user, I want the ability to see related pages to the article I am reading on mobile
  2. As wikimedia, I want to deploy related pages to all wikipedias but the top 6, so that I can gauge the feature success before deploying everywhere.

Description
Deploy related pages to all wikipedias except: English, Japanese, Spanish, German, Russian, French week of 10/03/2016

Testing Criteria

  1. Go to any mobile wikipedia that is NOT English, Japanese, Spanish, German, Russian, French
  2. Ensure related pages section appears
  3. Ensure related pages section does not appear on English, Japanese, Spanish, German, Russian, and French wikipedias

Details

Related Gerrit Patches:
operations/mediawiki-config : masterMerge config declarations
operations/mediawiki-config : masterEnable RelatedArticles on Minerva skin for all but top 6 wikis

Event Timeline

ovasileva created this task.Sep 6 2016, 2:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2016, 2:00 PM

@dr0ptp4kt - we were discussing that we should probably inform ops of the change before moving to stable - what would be the best channel to do that?

@ovasileva, giving @BBlack @elukey from TechOps a heads up here. @BBlack, @elukey: this is a follow up from T126455#2572077 - now we're close to putting it on the really highly visited wikis.

Additionally, looping in @EBernhardson from Discovery, as this uses the morelike query as I recall.

things should be fine from our end, but i will keep any eye on our load graphs and morelike qps. Is there a more specific time when i should expect to start seeing the increased load?

@EBernhardson: We're expecting to move to stable on all but the top 6 wikipedias during the week of Oct 3. Will probably begin with the top 6 starting about two/three weeks later, most likely 1-2 per sprint.

ovasileva updated the task description. (Show Details)Sep 21 2016, 5:30 PM
ovasileva updated the task description. (Show Details)Sep 29 2016, 11:44 AM
Jdlrobson added a subscriber: Jdlrobson.

Dependencies still need resolving...

@ovasileva you may want to consider moving this to next sprint and pulling a new task in. T144579 is unlikely to get fixed before the next branch cut. Not sure if T147217 is a blocker but that could be fixed in its place.

Change 313906 had a related patch set uploaded (by Jdlrobson):
Enable RelatedArticles on Minerva skin for all but top 6 wikis

https://gerrit.wikimedia.org/r/313906

I think it makes most sense to line up T147217: Large gap left in footer on pages with no related articles and T144579: Beta footer appears obscured on diff pages for next sprint and go as planned. Let's discuss further during standup

Change 313906 merged by jenkins-bot:
Enable RelatedArticles on Minerva skin for all but top 6 wikis

https://gerrit.wikimedia.org/r/313906

Change 314627 had a related patch set uploaded (by Jdlrobson):
Merge config declarations

https://gerrit.wikimedia.org/r/314627

Change 314627 merged by jenkins-bot:
Merge config declarations

https://gerrit.wikimedia.org/r/314627

Mentioned in SAL (#wikimedia-operations) [2016-10-06T23:23:15Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Enable RelatedArticles on Minerva skin for all but top 6 wikis (T144812) (duration: 00m 50s)

so far no big deal on the search api's, that deployment looks to have increased load by about 40qps,

Nicholas.tsg added a subscriber: Nicholas.tsg.EditedOct 11 2016, 11:06 PM

This appears to be working as expected, since I'm testing many QA credentials, I'll just attach a few below as example that this is fixed.

iOS 9 Safari (Hungarian) = Related Pages appears
Samsung Galaxy SIII (Android 4.x) - Chrome, Portuguese = Related Pages appears
Samsung Galaxy SIII (Android 4.x) - Web Browser, Spanish = NO Related Pages as expected on steps 1 and 3

ovasileva closed this task as Resolved.Oct 12 2016, 9:09 AM

looks good!